package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 营销活动开启类型枚举类
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("营销活动开启类型枚举类")
public enum MarketingOnTypeEnum implements IEnum<Integer> {

    CLOSE(-1, "关闭"),

    OFF(0,"待开启"),

    ON(1,"开启");

    private Integer code;

    private String desc;

    MarketingOnTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }
}
